View Issue Details

IDProjectCategoryView StatusLast Update
0023998mantisbtcode cleanuppublic2019-12-10 07:01
Reportervboctor Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.11.1 
Target Version2.13.0Fixed in Version2.13.0 
Summary0023998: Implement `IssueAddCommand` and use it from SOAP, REST and Web UI
Description

Unify the logic that is executed when adding an issue.

TagsNo tags attached.

Relationships

related to 0024236 closedatrol IssueAddCommand Prevents API Folder Removal 
related to 0024389 new Cannot add ticket after upgrade to 2.13.1 (can't access api from $g_core_path) 
related to 0025962 closedvboctor IssueAddCommand does not create history entries identical to the code it replaced 

Activities

Related Changesets

MantisBT: master b03448f2

2018-02-17 16:35:32

vboctor

Details Diff
Implement `IssueAddCommand` Affected Issues
0023998
mod - bug_report.php Diff File
add - core/commands/IssueAddCommand.php Diff File
mod - core/tag_api.php Diff File

MantisBT: master fe02d21f

2018-02-17 17:35:15

vboctor

Details Diff
Use `IssueAddCommand` from REST API Affected Issues
0023998
mod - api/rest/restcore/issues_rest.php Diff File
mod - api/soap/mc_issue_api.php Diff File
mod - core/commands/IssueAddCommand.php Diff File

MantisBT: master 51e12336

2018-02-17 18:32:59

vboctor

Details Diff
Use `IssueAddCommand` in SOAP API Affected Issues
0023998, 0026455
mod - api/soap/mc_api.php Diff File
mod - api/soap/mc_issue_api.php Diff File
mod - api/soap/mc_project_api.php Diff File
mod - core/commands/IssueAddCommand.php Diff File

Issue History

Date Modified Username Field Change
2018-02-18 04:19 vboctor New Issue
2018-02-18 04:19 vboctor Status new => assigned
2018-02-18 04:19 vboctor Assigned To => vboctor
2018-02-19 04:15 vboctor Note Added: 0058952
2018-03-04 00:45 vboctor Status assigned => resolved
2018-03-04 00:45 vboctor Resolution open => fixed
2018-03-04 00:45 vboctor Fixed in Version => 2.13.0
2018-03-04 00:45 vboctor Target Version => 2.13.0
2018-03-31 19:58 vboctor Status resolved => closed
2018-04-09 03:07 atrol Relationship added related to 0024236
2018-05-02 04:53 atrol Relationship added related to 0024389
2019-08-04 19:09 dregad Relationship added related to 0025962
2019-08-04 19:10 dregad Changeset attached => MantisBT master b03448f2
2019-12-10 07:01 dregad Changeset attached => MantisBT master fe02d21f
2019-12-10 07:01 dregad Changeset attached => MantisBT master 51e12336